Package org.linphone.core

# Class ParticipantDeviceListenerStub

java.lang.Object
org.linphone.core.ParticipantDeviceListenerStub

All Implemented Interfaces:
  `ParticipantDeviceListener`

public class ParticipantDeviceListenerStub extends Object implements ParticipantDeviceListener

## Constructor Summary

Constructors
Constructor
Description
`ParticipantDeviceListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onIsMuted(ParticipantDevice participantDevice, boolean isMuted)`
Get the is this participant device muted callback.
`void`
`onIsSpeakingChanged(ParticipantDevice participantDevice, boolean isSpeaking)`
Get the is this participant device speaking changed callback.
`void`
`onScreenSharingChanged(ParticipantDevice participantDevice, boolean isScreenSharing)`
Get the is this participant device screen sharing changed callback.
`void`
`onStateChanged(ParticipantDevice participantDevice, ParticipantDevice.State state)`
Get the participant device conference state changed callback.
`void`
`onStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available, StreamType streamType)`
Get the participant device stream availability changed callback.
`void`
`onStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction, StreamType streamType)`
Get the participant device stream capability changed callback.
`void`
`onThumbnailStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available)`
Get the participant device thumbnail stream availability changed callback.
`void`
`onThumbnailStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction)`
Get the participant device thumbnail stream capability changed callback.
`void`
`onVideoDisplayErrorOccurred(ParticipantDevice participantDevice, int errorCode)`
Get the callback that will be used to notify that there are errors from the
video rendering of the participant device.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParticipantDeviceListenerStub

public ParticipantDeviceListenerStub()

## Method Details

### onIsSpeakingChanged

public void onIsSpeakingChanged(ParticipantDevice participantDevice, boolean isSpeaking)
Description copied from interface: `ParticipantDeviceListener`
Get the is this participant device speaking changed callback.

Specified by:
  `onIsSpeakingChanged` in interface `ParticipantDeviceListener`

### onIsMuted

public void onIsMuted(ParticipantDevice participantDevice, boolean isMuted)
Description copied from interface: `ParticipantDeviceListener`
Get the is this participant device muted callback.

Specified by:
  `onIsMuted` in interface `ParticipantDeviceListener`

### onScreenSharingChanged

public void onScreenSharingChanged(ParticipantDevice participantDevice, boolean isScreenSharing)
Description copied from interface: `ParticipantDeviceListener`
Get the is this participant device screen sharing changed callback.

Specified by:
  `onScreenSharingChanged` in interface `ParticipantDeviceListener`

### onStateChanged

public void onStateChanged(ParticipantDevice participantDevice, ParticipantDevice.State state)
Description copied from interface: `ParticipantDeviceListener`
Get the participant device conference state changed callback.

Specified by:
  `onStateChanged` in interface `ParticipantDeviceListener`

### onStreamCapabilityChanged

public void onStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction, StreamType streamType)
Description copied from interface: `ParticipantDeviceListener`
Get the participant device stream capability changed callback.

Specified by:
  `onStreamCapabilityChanged` in interface `ParticipantDeviceListener`

### onThumbnailStreamCapabilityChanged

public void onThumbnailStreamCapabilityChanged(ParticipantDevice participantDevice, MediaDirection direction)
Description copied from interface: `ParticipantDeviceListener`
Get the participant device thumbnail stream capability changed callback.

Specified by:
  `onThumbnailStreamCapabilityChanged` in interface `ParticipantDeviceListener`

### onStreamAvailabilityChanged

public void onStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available, StreamType streamType)
Description copied from interface: `ParticipantDeviceListener`
Get the participant device stream availability changed callback.

Specified by:
  `onStreamAvailabilityChanged` in interface `ParticipantDeviceListener`

### onThumbnailStreamAvailabilityChanged

public void onThumbnailStreamAvailabilityChanged(ParticipantDevice participantDevice, boolean available)
Description copied from interface: `ParticipantDeviceListener`
Get the participant device thumbnail stream availability changed callback.

Specified by:
  `onThumbnailStreamAvailabilityChanged` in interface `ParticipantDeviceListener`

### onVideoDisplayErrorOccurred

public void onVideoDisplayErrorOccurred(ParticipantDevice participantDevice, int errorCode)
Description copied from interface: `ParticipantDeviceListener`
Get the callback that will be used to notify that there are errors from the
video rendering of the participant device.
Check LinphoneCallCbsVideoDisplayErrorOccurredCb for more details.

Specified by:
  `onVideoDisplayErrorOccurred` in interface `ParticipantDeviceListener`